"use strict";
/**
 * Copyright (c) 2023, Chamupathi Gigara Hettige. (https://github.com/gigara) All Rights Reserved.
 *
 * Chamupathi Gigara Hettige licenses this file to you under the Apache License,
 * Version 2.0 (the "License"); you may not use this file except
 * in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     https://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied. See the License for the
 * specific language governing permissions and limitations
 * under the License.
 *
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.AbstractGithubCacheProvider = void 0;
var AbstractGithubCacheProvider = /** @class */ (function () {
    function AbstractGithubCacheProvider(rushConfiguration) {
        this.rushConfiguration = rushConfiguration;
    }
    Object.defineProperty(AbstractGithubCacheProvider.prototype, "isCacheWriteAllowed", {
        get: function () {
            return false;
        },
        enumerable: false,
        configurable: true
    });
    AbstractGithubCacheProvider.prototype.tryGetCacheEntryBufferByIdAsync = function (terminal, cacheId) {
        throw new Error("Method not implemented.");
    };
    AbstractGithubCacheProvider.prototype.trySetCacheEntryBufferAsync = function (terminal, cacheId, entryBuffer) {
        throw new Error("Method not implemented.");
    };
    AbstractGithubCacheProvider.prototype.updateCachedCredentialAsync = function (terminal, credential) {
        throw new Error("Method not implemented.");
    };
    AbstractGithubCacheProvider.prototype.updateCachedCredentialInteractiveAsync = function (terminal) {
        throw new Error("Method not implemented.");
    };
    AbstractGithubCacheProvider.prototype.deleteCachedCredentialsAsync = function (terminal) {
        throw new Error("Method not implemented.");
    };
    return AbstractGithubCacheProvider;
}());
exports.AbstractGithubCacheProvider = AbstractGithubCacheProvider;
