"use strict";
/**
 * Copyright (c) 2023, Chamupathi Gigara Hettige. (https://github.com/gigara) All Rights Reserved.
 *
 * Chamupathi Gigara Hettige licenses this file to you under the Apache License,
 * Version 2.0 (the "License"); you may not use this file except
 * in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     https://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied. See the License for the
 * specific language governing permissions and limitations
 * under the License.
 *
 */
var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (Object.prototype.hasOwnProperty.call(b, p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        if (typeof b !== "function" && b !== null)
            throw new TypeError("Class extends value " + String(b) + " is not a constructor or null");
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
exports.GithubCacheProvider = void 0;
var AbstractGithubCacheProvider_1 = require("./AbstractGithubCacheProvider");
var GithubActionClient_1 = require("./action/GithubActionClient");
var isCI = process.env.CI === 'true';
var GithubCacheProvider = /** @class */ (function (_super) {
    __extends(GithubCacheProvider, _super);
    function GithubCacheProvider() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    Object.defineProperty(GithubCacheProvider.prototype, "isCacheWriteAllowed", {
        get: function () {
            return isCI;
        },
        enumerable: false,
        configurable: true
    });
    GithubCacheProvider.prototype.tryGetCacheEntryBufferByIdAsync = function (terminal, cacheId) {
        return isCI ? GithubActionClient_1.GithubActionClient.getCache(cacheId, this.rushConfiguration.commonTempFolder) : Promise.resolve(undefined);
    };
    GithubCacheProvider.prototype.trySetCacheEntryBufferAsync = function (terminal, cacheId, entryBuffer) {
        return isCI ? GithubActionClient_1.GithubActionClient.saveCache(cacheId, this.rushConfiguration.commonTempFolder) : Promise.resolve(false);
    };
    return GithubCacheProvider;
}(AbstractGithubCacheProvider_1.AbstractGithubCacheProvider));
exports.GithubCacheProvider = GithubCacheProvider;
